ZipGenius 1.4

Welcome in ZipGenius Help!

In this help file you will find many useful tips that will help you to discover and to use better this program.

Thanks for choosing ZipGenius among many good competitors.

M.Dev Software

(Please, note: some pictures were took from the italian version of the help file)


Why files compression is useful?

The answer to this question is coming more obvious day after day and as a consuequence of the Internet diffusion. Tomorrow way of working is here and we can't loose precious time trying to send large files over the Internet. It's time to move and to start compressing files: that's the only way to save time, regardless of connection speed. Also with xDSL connections you'd better compress your files: you will send files as if you were copying them in a folder on your PC.

Everyone takes advantages from file compression: workers, students, men, women, boys and girls who need to share documents and files with friends and relatives.


Supported archive formats

ZipGenius was originally designed to handle only zip files. Now, instead, it can handle other formats, such as CZIP which is a proprietary method to encrypt zip files. The following are the other supported formats:

  • ZIP / CZIP : all functions.
  • CAB
  • RAR, ACE: these archives can be read and ZipGenius can extact files from them. Compression is not supported.
  • ARJ, ARC, GZIP, LHA/LZH, ZOO : external programs are required to handle these formats.
  • PAK


ZipGenius 1.4 features

  • supports 14 archive types
  • 4 ways of showing files
  • 5 compression levels (file storage + 4 compression levels)
  • Support for standard zip comment (automatic reading)
  • ZGSign: zip file signature (creation and reading - ZipGenius 1.3.x)
  • Total shell integration in Windows 98/ME/2000
  • E-mail support for sending archives and files as attachments to e-mail messages
  • FTP publishing of archives and files on the Internet
  • six exporting formats (HTML, DOC, XLS, CSV, XML, TXT)
  • Zipped applications setup
  • Automatica reading of the "Readme.txt " file via the internal viewer (which can recognize e-mail addresses or URLs)
  • Conversion from zip files into SFX files
  • Drag and drop support
  • Customizable layouts
  • First Step Assistant
  • Dual lanaguage interface (italian and english)
  • ZGTools to expand features and functionality
  • Command line support
  • FTPGenius (built-in ftp client - new version: it can upload files, also)
  • Time To Get!
  • Cutter


Updates

ZipGenius development doesn't stops when the final release hits the Web, but it continues (virtually) always, so semtimes you will need to update your copy of ZipGenius.

The updating procedure is automatic : you have only to click on " Update" in the "Help " menu. ZipGenius will try to connect to M.Dev Software web site and it will search for any available update. There are two kinds of updates:

  • Patches - these are only minor updates and small bug fixes, so ZipGenius will download and install them directly;
  • Updates - these are major updates, so you will need to download again ZipGenius and to remove the copy that is already installed in your system. These updates are generally released when some feature is added, removed or modified.


System requirements

Minimum requirements:

    • CPU Pentium 100 MHz
    • 16 Mb RAM
    • 8 Mb of hard disk space
    • Mouse

Suggested requirements:

    • CPU Pentium 133 MHz
    • 32 Mb RAM
    • 8 Mb of hard disk space
    • Mouse
    • Modem and access to the Internet


"Fist Step Assistant"

"First Step Assistant"

This button allows users of normal layout to access to advaced features of ZipGenius in an easy and automatic way.

You will see a window with a list of all the available functions of ZipGenius. These functions become available depending from the kind of archive you opened.

Choose an action, click "OK" and follow ZipGenius, which will inform you of what it's doing. Normally, ZipGenius can complete all actions by itself, but sometimes it may ask to you anything.


ZipGenius file dialog

ZipGenius 1.4 file dialogs

ZipGenius 1.4 has a file dialog that reminds Office 2000. This file dialog has a sidebar with two pages: the first page shows six default paths you can access directly; the second page, instead, can show your favorite paths that you can add by clicking on "Add Folder" in the toolbar of the file dialog. If you want, you can erase the list of favorites by clicking on "Erase favorites list"

Fig.1: the six default paths...

Fig. 2: the favorite folders list.

WARNING! Due to technical reasons, under Windows 95 and NT 4 the file dialog won't have these advanced features. It is suggested to update your system.


Integration with Windows

ZipGenius integrates with Windows shell, so you will find a rich context menu associated with zip (and other) files. Right click on a file icon and look at the menu that will appear...

Extract
 This command causes the extraction window to appear.

Publish on the Internet
 Activates FTPGenius and transfers all the selected archives to a FTP server.

Send via e-mail
 This command allows you to create a new e-mail message which has all the selected files as attachments. This function uses (depending from ZipGenius settings) your default mail client or ZipGenius Mail.

Make EXE
Converts the selected zip file into a self-extracting one (SFX).

Contents
This command will show a list of zipped files.

Extract in [path]
 Extracts all files in that path.

Setup
Extract all files (using original paths) and runs the setup.exe program.

Instead, this is the context menu associated with other files and folders.

Add
Adds the selected files to an archive.

Create [archive name].zip
 Creates a new archive with the selected files.

Create and send via e-mail
 Just as the previous command: creates a new archive and sends it via e-mail.

ZipGenius can also tell to you how many files are in a zip archive and other useful infos. You have only to select a zip file.

Also, you can add files to a zip archive dragging them onto the destination zip file.


Main settings

In the first page of the options window you can set the main options of the program.

Associations
 You can associate many types of file to ZipGenius, so you can open them with a simple double-click on their icon. Check the formats you wish to associate and remember that not every format can access to ZipGenius advanced functions

Language
 Choose your language. Normally you should have set it upon the first run of ZipGenius, but if another user of a different language uses your copy of ZipGenius, you can prepare the program for him/her. This selection will affect any text of the program.

ZipGenius layout
Choose the layout that fits your PC experience: if you get often confused while using a program, it's suggested to set the "NORMAL" layout, but if you are a power user, you'd better set "EXPERT " layout, so you can decide if and how the Wizard must help you.

Show tips at startup
 Check this options to read tips each time you run ZipGenius.

Single mouse-click
Enable this option if you want to use a single mouse-click instead of the default double click, just as if you were on a web page.

Send e-mail via ZipGenius Mail
If you don't have a default e-mail program installed or if you mail program is not MAPI-compatible (e.g.: Opera) you can access to mail functions via the built-in mail client.

These settings will have effect only after you have clicks on the "OK " button.


User informations

In this page you can insert your personal informations, which can be used in zip file signatures.

First of all, insert your name, last name, e-mail address and the address of your web-page (if you have one); then you can also add info about your address, phone (both home and cellular) and FAX number.

In this version of ZipGenius you can also select a picture to be added to the signature: this may contain the trademark of your company, or a picture of you. This file must be in .BMP format and it must be sized 121x121.


Window layout

In this page of the option window you can customize how youe ZipGenius should look and work. If you feel yourself as a non-expert user, leave the "normal" layout: each action is driven by ZipGenius wizard; otherwise, if you feel yourself as a power-user, you'd better choose the "expert " layout, so you can decide if wizard should help you or not.

Window settings.
ZipGenius can use different styles for its window, which are a combination of font, tex and background color. If you have downloaded the STANDARD edition (file: zg14_std.exe) you have to download also the Style Pack, an archive that contains the default styles. On the contrary, if you have downloaded the PLUS or SUITE edition, the style pack is already installed, so you have only to choose one and to store it as the default style (it will be always used).

However, you can create your own style. Click on "Change font ", then select the "Text color " and " Background color ". If you want to add this style to the list, assign it a name and click on " Add style".

If a style is already existing, you will be prompted to update it: click "Yes" if you want to do so.

How to export a style.
Premi il tasto "Esporta stile" per far in modo che ZipGenius crei un file zip contenente tutto il necessario per l'installazione dello stile selezionato in un 'altra copia di ZipGenius su un altro PC.

Stili aggiuntivi - inviare un nuovo stile a M.Dev Software.
Il primo Style Pack è disponibile per il download dal sito M.Dev Software per tutti coloro che hanno prelevato la versione STANDARD, mentre è incorporato nelle versioni PLUS e SUITE; altri pacchetti saranno pubblicati successivamente e saranno prelevabili dal sito M.Dev, nei quali sarnno inseriti anche gli stili creati dagli utenti.

Ecco come fare per inviare il proprio stile:

  1. clicca sul tasto "Primo passo "
  2. seleziona l'opzione "Invia stile a M.Dev Software "
  3. ZipGenius creerà automaticamente un nuovo arvchivio zip sul Desktop e lo chiamerà Style_[nome utente].zip, che conterrà i seguenti files: "style.ini" e i files che compongono il tipo di carattere in uso. Il primo file contiene le informazioni sulla combinazione di colori e carattere, mentre i files del tipo di carattere sono necessari, altrimenti altri utenti sprovvisti di quel font potrebbero visualizzare in modo errato il tuo stile
  4. ZipGenius chiederà se ritieni che il contenuto del file zip sia corretto: in caso di risposta negativa interromperà l'azione e ti ricorderà cosa dovrai fare (manualmente) dopo aver modificato il contenuto, altrimenti provvederà a spedire via e-mail l'archivio appena creato a M.Dev Software

Lo stile inviato sarà inserito, quindi, nel primo pacchetto aggiuntivo che verrà rilasciato.

Stili aggiuntivi - inviare uno stile aggiuntivo ad un amico.
Così come è possibile inviare uno stile aggiuntivo a M.Dev, è altrettanto possibile esportare uno stile ed inviarlo ad un amico. La procedura è simile a quella appena descritta:

  1. clicca sul tasto "Primo passo "
  2. seleziona l'opzione " Invia stile ad un amico". E' importante non confondere questa opzione con quella precedente!
  3. ZipGenius creerà automaticamente un nuovo archivio zip sul Desktop come descritto in precedenza, ma in questo caso l'archivio conterrà un file in più: "s_setup.exe". Questo programma serve proprio ad installare gli stili aggiuntivi (vedi più avanti)
  4. ZipGenius chiederà se ritieni che il contenuto del file zip sia corretto: in caso di risposta negativa interromperà l'azione e ti ricorderà cosa dovrai fare (manualmente) dopo aver modificato il contenuto, altrimenti provvederà ad avviare la procedura per l'invio di un messaggio e-mail con il file zip allegato

Stili aggiuntivi - installazione.
 L'installazione degli stili aggiuntivi è semplicissima: basta aprire il file zip contenente lo stile. ZipGenius rileverà il programma di installazione e lo avvierà; al termine dell'installazione lo stile sarà aggiunto alla lista di quelli già installati.


Paths

In this page of the options panel you can set the path which should be used as the inital directory of the dialogs of ZipGenius.

Favorite archives folder.
 It's the folder in which you placed all the archives that you open often. ZipGenius has some default paths but you can indicate a custom one. When you will click on "OK", ZipGenius will store the selected path and it will be used as the initial path of all the file dialogs of ZipGenius .

The second section of this page allows you to install the external programs that are required to handle othe archive formats. Read how to do this .


How to install external programs

Installing external programs

In another section of this help file you will find why these programs are needed by ZipGenius.

Click "Options" [image].
You will see the following window, then you have to click on "Paths" and the window will show the following page:

Choose an archive format and click "Search..." to find out the location of the related program (example: for .arj file you should search for "arj.exe ").

When you have found the appropriate program, click "Save" to store its path.

WARNING! If you click "OK" before saving the path of the external program, that path won't be remembered!

"From which site...".
 This button opens your default browser on a web page in M.Dev Software site, where you can know more about external programs and where you can find them. Some of them can also be downloaded from that same page.


Creating a new archive

This function applies to the following formats:

  • Zip
  • Cab
  • LZH/LHA, ARJ, ARC, TAR, GZIP, ZOO (using an external program)
  • Pak

1) Click "New" .

NORMAL layout.
You will see ZipGenius wizard: you have only to follow it.

EXPERT layout.
 You will see a dialog in which you must select where and with which name to archive should be created.

WARNING! An archive without files can't exist, so you should click on Aggiungi files to add files to the archive that you are creating. However, if you decided to force the wizard to appear on request, it will ask you if its help is needed: if you answer "Yes", you have only to follow it.


Adding files

There is only one thing you must always remeber: there is no archive without files inside, so you must add files after that you click on " New", otherwise the archive won't be created.

The action depends from the layout you are using.
In " NORMAL" mode, any operations will be driven by ZipGenius wizard, who will explain to you what is going to do and which are the available options; in " EXPERT" mode, instead, the wizard will be activated only if you set this in the options panel. In fact, you can force the wizard to appear always, also in expert mode, or you can force it to ask if you need its help; if you don't want to use the wizard, you can turn it off.

If you decided to operate without the wizard in expert mode, you must do the following steps:

  1. Click on the "Add" button or on "Add files" in its dropdown menu;
  2. Select as many files as you want (or as you need) and click on the "Add" button of the files dialog;
  3. set the compression level and other options, and finally click "Ok".

The archive is now ready and it will be opened in ZipGenius.

Compression options
As you read before, you can set some option. Here is a list of available options.

  • Compression level: there are five levels. The first doesn't compress files but stores them in the archive; "minimum", "medium" and "maximum" levels offer (respectively) an increasing compression. The last level is also called "Brutal", because it tries to compress files that are already compressed, such as GIF, JPG, TAR, GZ, ZIP, ARJ, ZOO
  • Delete original files: if you want, you can force ZipGenius to delete the original files after that they were added to the archive.
  • Store full path: check this option to store the entire path of any file. When you will extract these files using the option called "Use stored paths", that will be re-created in the destination folder.
  • Add subfolders: this option is available only if you are adding a folder to the archive. It provides to add the content of any subfolder contained in that one that you choose to add. WARNING! if you will extract these files using the "Use stored paths" option, ZipGenius will re-create the whole folder structure, including all the original subfolders: pay attention, because you may risk to fill up the entire hard disk (it depends from the number of the zipped files).
  • Add hidden files: use this option to add hidden files.
  • Add files with the "Archive" attribute: use this option to add only those files that have the "Archive" attribute. Any files with other attributes will be skipped.
  • Reset the "Archive" attribute: use this option to remove the "Archive" attribute from any file that will be added to the archive.
  • Store filenames in DOS format: use this option to store filenames as DOS normally does. Example: verylongfilename.txt will be added as verylo~1.txt.

Also, you can select the KIND OF ADDITION:

  • Normal
  • Update existing files: if the archive contains files with the same filename of those which you are adding, ZipGenius will update only the older files
  • Add and update: ZipGenius updates older files in the archives and add other files.


Deleting files

WARNING! Be careful when using this function!

This function directly applies to ZIP, CZIP, PAK and CAB archives, while other formats require external programs .

To delete one or more files from an archive, or to destroy an entire archive, you have only to click the " Delete" [image] button.

NORMAL mode

The "Delete" button and its realted menu item will behave as the following way:

Il tasto "Cancella" e la voce relativa nel menù rapido di ZIpGenius si comprteranno così:

  1. if one or more files are selected the program wil ask if you want to delete them;
  2. if no file is selected the program will ask if you want to delete all the files from archive.

If you want to destroy an archive, you must access to the "First Step Assistant" and to choose the "Destroy archive" option.

EXPERT mode

The "Delete" button has two sections. If you click on the icon, the button will behave as if you were using the Normal mode (see above), otherwise you will see a dropdown menu with the following items:

  1. Delete all files - this item deletes all the files stored in an archive, leaving it ready to receive other new files. If you will close an empty archive, this one will be destroyed.
  2. Delete only selected files - this item deletes only one or more selected files.
  3. Destroy archive - this item destroys an archive .


Signing an archive

Signing an archive (ZGSignTM )

Just from the previous edition, ZipGenius allows to "sign" the zip files, so the end-user of that archive will be able to read more infos about the author of the zip file.

In ZipGenius 1.4 there are two new features in archive signature: now, in fact, you can also write the URL of your home page and you can add a picture of you (or the trademark of your company, which must be a .BMP picture sized 121x121).

Due to technical reasons, previous versions of ZipGenius cannot read the signature created with ZipGenius 1.4, so you can still create an "old-style" signature, which is readable from ZipGenius 1.3.x (check the box labeled "Compatible with ZipGenius 1.3.x").

Starting from the next version (ZipGenius 1.5 ), the compatibility with ZipGenius 1.3.x won't be ensured.

To start creating a signature click on [image] Sign.

When the creation process will be finished, ZipGenius will add the infopak.zgp file to the archive (or a file name archivename.zip.info if you are creating an "old-style" signature), but this file won't appear in the file list. You will see it only if you will open that file with programs that don't support the ZGSignTM technique.

When another ZipGenius user will open your file, he/she will see the infos you wrote and he/she will be able to write to you an e-mail message, to visit your home page, or - simply - to look at your picture in that signature.

You can add your main personal infos in the " User info " page of the options window, so they will be automatically added to your signature.


How to rename an archived file

ZipGenius 1.4 allows you to rename a file in a zip archive.

Just select one and right-click on it, then choose the menu item "Rename file" and change the filename as you would do in Windows Explorer.


The "ReadMe.txt" file

Often zip archives contain a file named "ReadMe.txt", normally used to give info, details or instructions. ZipGenius makes easier reading this file: if it is contained in a zip file, ZipGenius will write "README" in the status bar; if you set "NORMAL" mode, the file will be automatically shown in theinternal viewer of the program, else you will have to click on the [image] ReadMe button.

This function is available only to certain archive types: if you will open an archive format that doesn't support this function, the "ReadMe" button will remain disabled.


Applications setup

Zip archives are often used to distribute applications over the Internet, so they often contains a file named "setup.exe", which runs the setup of the archived program; ZipGenius can recognize it and launch that setup. Once that ZipGenius finds that file, it will write "SETUP " in the status bar and it will enabled the [image] Install button.

If you click on that button, ZipGenius will extract all files and it will recreate any subfolder eventually added, then it will run that setup; you will see a message that invites you to click "OK" only when setup is finished: if you will click that button before that setup ends, some temporary files may leave, but if you will wait the end of the whole operation, ZipGenius will delete any temporary file.

This function is available only for certain file types: you will understand if this function is available when you'll look to the "Install" button, if it's enabled or not.


Previewing a file

Preview of an archived file

ZipGenius allows you to preview any archived file. The program temporarily extracts the file, shows it and, finally, delete it.

However not every file can be previewed: this depends both from file type and from the layout of the program that you choose.

N.B.: you can preview only one file at a time.

"Normal" layout
Click on "Preview ": ZipGenius will try to open the file using its associated application; if no program results as associated to that file type, ZipGenius will try to show the content of the file in its built-in viewer.

"Expert" layout.
 Within this layout, the "Preview" button is split in two section. Click on its icon to force it to behave as if you were using the "normal" layout; instead, click on the black arrow to view the dropdown menu, so you can select the best way to preview the files.

If you are trying to preview a zip file, ZipGenius will activate the "ZipList" function.

The internal viewer
 This section of ZipGenius allows you to read text document and others; in this new release it can also recognize e-mail addresses and URLs, so you can click on them to write a message or to visit a web site.


Zip List

Zip List (Nested Zip Files)

Many zip archives contain other zip files: these are also known as "Nested Zip Files". ZipGenius allows you to read the contents of inner zip files in the same window of the main one. Each time you will double click on a zip file icon in ZipGenius window, the program will extract that zip in the TEMP folder and it will be read in the same window; also its name will appear in the Zip List, which allows you to jump from one zip file to another, or to go back to the main archive, which is always the first file in the list.

Example:

The "Maggiore.zip" archive is open...

... and it contains the "zip1.zip" file; let's double click on this file...

... and we will see its filename added to the Zip List. It also contains another zip file, so we have only to double click again on the "zip2.zip " file...

... so this last file also will be added to the list. We can still read the content of the listed files with just a double click on a filename in the list..

If you click on the [image] "Zip List " button, you will cause the list to apperar if it is not visible. You can resize or close the Zip List.


Creating self-extracting files (SFX)

Creating self-extracting archives (SFX)

Sometimes you may have to send a zip file to some one who hasn't a zip program installed in his/her PC, so that file can't be opened.

It is a good habitude to send self-extracting files (SFX) to people that you don't know directly, so they have the chance to open an archive, also if they haven't a zip program.

ZipGenius can create two kinds of SFX archives:

  1. Standard , that provides only to files extraction;
  2. Self-installing , because it extracts all the files and run setup.exe

Click the [image] SFX button to start: you will see the SFX wizard, which will guide you through the creation and customization of your SFX file. Let's each step you have to do:

Startup message
You can make appear a message when someone opens your SFX file. You can choose among thrre kinds of message: standard, information, request. If you don't want to show any message, leave blank the text field and click "Next".

Archive title
Tell which is the name of the archive: it will be shown in the caption of SFX window.

Icon
You can further customize your SFX by choosing an icon. This can be an .ICO file or it can be extracted form .EXE or .DLL files; by the way you can use the default SFX icon of ZipGenius.

If the zip file contains a setup program (setup.exe), ZipGenius will ask if you want to create a self-installing SFX file; if you will answer "Yes", ZipGenius will finish the creation by itself, otherwise the wizard will proceed with the following steps.

Esecuzione di un file al termine
Se lo desideri, puoi fare in modo che il file SFX esegua uno dei files estratti.

Other options
 This is the last step: here you can modify other settings of your SFX.

    • Default destination - show the path you consider as default for files extraction. This path will be shown in the SFX window.
    • Allow user to deactivate autorun... - this options allows user to deactivate the autorun of the file you have selected.
    • If a file already exists... - choose how the SFX should behave if a file being extracted is already placed in the destination folder.
    • Hide overwrite mode selection - check this option to avoid further changes made by final user to the previous option.
    • Allow user to modify the list of files to be extracted - you can allow the final user to decide to extract single files or the whole content of the archive.
    • Show confirmation message - when extraction will be finished, the final user will see a confirmation message.

Click "Next " to complete the creation of SFX file.


Password

If you need to to protect a zip archive, you can use a password: however, this doesn't mean that your archive is safe, because the password aovids only files extraction; so if you need real protection, yu'd better use the CryptoZip system, which makes zip files unreadable without the right numeric key.


Antivirus

Today everyone must have a good antivirus program to be safe on the Internet, so ZipGenius now can force your antivirus to scan archives, before opening them.

To activate this function, you must select it in the options panel, in the "Advanced" section; then each time you will open an archive, ZipGenius will execute the command line that you must type.

Example:
let's suppose that your favourite antivirus program is Inoculate IT P. E., and that its full path is C:\Program files\InoculateIT PE\Vet98.exe , the command line that you should write is:

"C:\Program files\InoculateIT PE\Vet98.exe" /display=progress %s

The "%s " paramter is required to tell to the av program which file it must scan (ZipGenius will substitute it with the archive name that you're opening). When scan will be finished, ZipGenius wil ask to you if the AV program found any virus; click "NO " to continue opening that archive.

Note: Computer Associates, InoculateIT PE producer, is not allied in any way with M.Dev Software. The only reason why this program is used as example, is that it is freeware, just as ZipGenius.


CryptoZip: encrypted zip files

CryptoZip: encrypted zip archives

One of the most important features of this versione of ZipGenius is CryptoZip. This technique offers a better protection for zip archives than the standard password protection method. Today there are many password recovery utilities on the Web, which are really able to discover the password that prevents zip files from opening; if you use one of them, sooner or later that program will find the correct password and will open the zip file.

On the contrary, ZipGenius 1.4 can encrypt zip files using a triple numerical key. This system offers around 281.474.976.710.656 combinations, so it is really hard to discover the right numerical key, or - at least - it is a too long operation.

This feature can be accessed from the [image] Encrypt key while ZipGenius is in "EXPERT" mode; users who choose the "NORMAL" mode can access to it through the First Step Assistant.

You will see the following window:

You have to write three values between 0 and 65535 in each key field. These value will create the "key", and this can be stored in a list, so you won't have to remember it. To add the key to the list, check the box "Add to key list". The key list is itself protected with a password: if you're using it for the first time, ZipGenius will ask you to write the password that you want and to confirmit; the next time you will access to the list, ZipGenius will ask you to write the password only once.

Click "OK" to start encrypting the archive: ZipGenius will create a new archive which will have the same name but a different extension. Example: "Test.zip" will be encrypted as "Test.CZIP"

WARNING! Once you have encrypted a zip file with CryptoZip, you MUST use the same key you used to encrypt the original zip file, otherwise the encrypted file will remain unreadable. For this reason it is suggested to activate the "Encryption: automatic storage of CryptoZip keys" in the "Advanced settings" page of the options panel; if you'll do this, you can encrypt and decrypt archives without worries because ZipGenius will store the encryption key automatically.

This feature is available only starting from the current version of the program, so users of previous versions can download DeCryptoZip from M.Dev Software site. This utility can decrypt .CZIP files as well as ZG 1.4 does, and it is shipped with ZipGenius in the SUITE edition of the package.

To decrypt a CZIP file you need only to click on "Encrypt" again, after you have opened it. ZipGenius will warn you that the file is already encrypted and will ask if you want to decrypt it. If you will answer "Yes", you will see the CryptoZip window (shown below), in which you must write the three values of the numeric key. If you don't remember which key to use, click "Choose key in the key list".

ZipGenius will ask you the password for the key list. Write it correctly and you will see the following window:

Here are all the zip files you have encrypted, each one with its own encryption key: select the filename of the encrypted archive that you want to decrypt and click "OK". ZipGenius will re-create a zip file that is readable by everybody with every zip program.

As you may notice, in the key list window you have the chance to print the list or to save it on a floppy disk: these options give more safety, because an encrypted zip file remains unreadable if you use a wrong key.

When you open an encrypted zip file you will have to repeat this last procedure, but in this case ZipGenius won't recreate a readable zip file.

Note: if you open an encrypted zip file, ZipGenius will treat this as if it was a standard one, so you will have every function available; also, ZipGenius will recognize any change made to the file and will ask you to encrypt again the archive.


Command line

ZipGenius 1.4 can be guided from the command line: here is how to do this.

Each command has its own syntax.

Commands list

addfile
addfold
extract
delete
destroy
print
export
mail
sfx
crypt
decrypt

-addfile (Syntax: zg.exe -addfile archive file1 [file2 ... fileN] [-0149BMPHAZ])

Adds files to an archive.

0: No compression.
1: Minimum compression.
4: Medium compression.
9: Maximum compression.
B: Brutal compression.
M: Move files.
P: Store original file path.
H: Add hidden files.
A: Add files with the "Archive" attribute.
Z: Reset "Archive" attribute in files being added.

Example - adding "test.txt" to "arctest.zip", using the maximum level of compression and storing the original file path:
zg.exe -addfile arctest.zip test.txt -9P

-addfold (Syntax: zg.exe -addfold archive folder [-0149BRMPHAZ])

Adds a folder to an archive.

0: No compression.
1: Minimum compression.
4: Medium compression.
9: Minimum compression.
B: Brutal compression.
R: Add subfolders.
M: Move files.
P: Store original file path.
H: Add hidden files.
A: Add only files with the "Archive" attribute.
Z: Reset the "Archive" attribute in files being added.

Example 1 - adding the folder "C:\Test" and its subfolders to "arctest.zip":
zg.exe -addfold arctest.zip c:\test\*.* -R

Example 2 - adding all .DOC files in folder "C:\Test" to "arctest.zip":
zg.exe -addfold arctest.zip c:\test\*.doc

-extract (Syntax: zg.exe -extract archive [file1 file2 ... fileN] [-APD] [|"Destination"])

Extracts files from an archive.

A: Extracts all files.
P: Use stored path.
D: Open destination folder.

The destination folder can be typed as the last argument in the command line.

Example 1 - extracting all files from "arctest.zip" in "C:\Test" folder, using original file paths:
zg.exe -extract arctest.zip -AP |c:\test

Example 2 - extracting all .DOC files from "arctest.zip" in "C:\Test" folder:
zg.exe -extract arctest.zip *.doc |c:\test

-delete (Syntax: zg.exe -delete archive [file1 file2 ... fileN]

Deletes files from an archive

Example 1 - deleting all files from "arctest.zip":
zg.exe -delete arctest.zip *.*

Example 2 - deleting "test.txt" from "arctest.zip":
zg.exe -delete arctest.zip test.txt

Example 3 - deleting all .DOC files from "arctest.zip":
zg.exe -delete arctest.zip *.doc

-destroy (Syntax: zg.exe -destroy archive)

Destroys an archive.

Example: zg.exe -destroy arctest.zip

-print (Syntax: zg.exe -print archive)

Prints the file list of an archive.

Example: zg.exe -print arctest.zip

-export (Syntax: zg.exe -export archive format)

Exports the file list of an archive in a specified format. Type the destination format after the archive name:

HTML: exports the list in a Web page.
DOC: exports the list in a Word document.
CSV: exports the list in a comma separated values file.
XLS: exports the list in an Excel sheet.
XML: exports the list in a XML file.
TXT: exports the list in a plain text document.

Example 1 - exporting the file list of "arctest.zip" in a Web page:
zg.exe -export arctest.zip HTML

Example 2 - exporting the file list of "arctest.zip" in a Word document:
zg.exe -export arctest.zip DOC

-mail (Syntax: zg.exe -mail archive1 [archive 2 ... archive N])

Sends one or more archive via e-mail.

Example: zg.exe -mail arctest.zip

-sfx (Syntax: zg.exe -sfx archive)

Creates a self-extracting archive from a zip file.

Example: zg.exe -sfx arctest.zip

-crypt (Syntax: zg.exe -crypt archive key1 key2 key3)

Creates an encrypted archive (CZIP) from a zip file. The three numeric key must be a value between 0 and 65535.

Example: zg.exe -crypt arctest.zip 23909 61616 12301

-decrypt (Syntax: zg.exe -decrypt archive key1 key2 key3)

Creates a standard zip file from an encrypted one. The thrre numeric keys must be a value vetween 0 and 65535.
Note: if the three values don't match the three values used to encrypt the archive, the resulting file will be unreadable.

Example: zg.exe -decrypt arctest.zip 23909 61616 12301


Exporting the file list

This function applies to all kind of archives supported. ZipGenius 1.4 can export the file list into six different formats:

  • HTML - ZipGenius creates a web page.
  • DOC - ZipGenius creates a Word document.
  • XLS - ZipGenius creates an Excel document.
  • CSV - ZipGenius creates a document with comma separated values: this file can be read by many database programs around.
  • XML - ZipGenius creates an XML file.
  • TXT - ZipGenius creates a plain text document.

NORMAL mode

  1. Click on "First Step ";
  2. select a type of exporting (es.: "Export list in a HTML file ");
  3. choose in which folder ZipGenius should create the resulting file.

EXPERT mode

Expert users can click the [image] (Export) button. In the options window you can set a default exportation format: if you do so, the "Export" button is split into two sections. Click on the first one (the icon of the button) to export filelist into the default format, otherwise click on the arrow to view the formats menu and choose into which format the list should be exported.
If no format is set as default, the "Export " button whill always show the formats menu.


Backup functions

Also if Windows today is more stable than the early versions, today is stil fundamental to backup the most important data, such as the "My Documents " folder, which became one of the most important section of the system.

Some research revealed that few users are used to backup data at regular intervals for two main reasons:

  1. backup programs are too difficult to use;
  2. they are afraid to cause a damage to the system.

ZipGenius 1.4 can remove these causes and offers a wide range of backup options by default.

These are:
Compress files":
chech this item if you want to backup files and compress them, otherwise the backup will have the same size of all the files in that backup.

"My Documents":
backups your "My Documents" folders and creates an archive named Documents.zip.

"Windows folder":
backups your windows folder and creates an archive named Windows.zip.
WARNING: the resulting archive may be sized over 300 Mb.

"System folder":
backups you \Windows\System folder and creates an archive named System.zip. WARNING: the resulting archive may be sized over 200 Mb.

"Windows Registry":
backups the registry of Windows. ZipGenius will copy the files "system.dat", "user.dat", "system.ini" and "win.ini" in a ".cab" archive, compatible with "ScanReg ". By this way you will have the chance to restore your registry settings in a while. The resulting archive will be named "rb1000.cab" and it will be place in \Windows\Sysbckup.

"Outlook Express messages":
 backups every message of Outlook Express 5 and creates an archive named OE5_bak.zip.

"Windows Address book":
backup the current Windows Address Book in an archive named WAB_bak.zip.


Scan + Zip

This function can increase your productivity and reduce time losses: you can acquire picture from a TWAIN device and compress them into a zip file.

You have only to click on the [image] "Scan+Zip" button. The program will ask you to select to source, then you will see the following window:

Clcik "Acquire" to start, then use the interface of the selected device to complete scanning; when scanning is finished, ZipGenius will suggest a filename for the new picture: you can change this file name in the "Suggested file name" field. If you really want to add that picture to the list of files to compress, click "Add ". Instead, if you want to remove a file from that list, select it and click "Remove". Pictures aren't compressed, yet.

You can use the zoom tool, but remember that this won't affect picture size.

When you're finished, close the window: ZipGenius will ask if you want to compress the listed files. Answer "Yes" if you want to do it, otherwise picture files will be deleted.

WARNING: scanned pictures are always in ".BMP" format and they will be compressed using the maximum compression level.


ZGTools

This new release of ZipGenius can be extended with the ZGTools, small applets that can work both by themselves or in conjunction with ZipGenius; these tools are shipped within the SUITE edition, but if you have the STANDARD or PLUS package, you can download them from M.Dev Software site.

These tools are:

    • Cutter
    • DeCryptoZip
    • Time To Get!

Other tools can be produced by third parties, who can follow the guidelines specified in this help file (check guidelines)

To make a ZGTool to work, it must be installed just as you would do with a normal program; once you did this, you will find a new item in the Toolsmenu, which calls the ZGTool, just as shown below:

ZipGenius will search for new tools at startup, so it would be a good idea to install new ZGTools when ZipGenius is not running.


Creating a new ZGTool

Creating an external tool (ZGTools)

The SUITE edition of ZipGenius includes the so-called ZGTools ,small programs that can works both independently or together with ZipGenius. These ZGTools are made by M.Dev Software, but other parties can create them, too.

To make ZipGenius to recognize a ZGTool, this last must communicate its presence in the TOOLS.INI file, which is placed in the folder where ZipGenius is installed.
The ZGTools must write a section in this file, just as shown in the following example:

[Collector]
cmd=C:\COLLECTOR\COLLECTOR.EXE
caption=Collect archives
params=-zg
results=c:\windows\deskop\result.txt
fileopen=0
senadarcname=0
sendselected=0
sendall=0

This example shows all the required parameters to use in a section.

CMD
 This parameter tells the full path of the ZGTool to ZipGenius

CAPTION
Write here the caption of the item in the "Tools" menu that ZipGenius wil create for the ZGTool.

PARAMS
Write here additional parameters to the command-line. See also SendArcName, SendSelected e SendAll .

RESULTS
If the ZGTools write a result file, this parameter tells to ZipGenius the path to this file; the main program will show it in its internal editor.

FILEOPEN
This parameter tells if the ZGTool can be used only if an archive is opened in ZipGenius: "1" means "true", "0" means false (the ZGTools can be called always).

SENDARCNAME
If this value is set to "1", the filename of the archive currently opened in ZipGenius is added to the command-line.

SENDSELECTED
If this value is set to "1", all the archived files that are selected in ZipGenius window will be added to the command-line.

SENDALL
If this value is set to "1", all the files listed in ZipGenius window will be added to the command-line.

Tips for the developer:

  1. If you need to know where tools.ini is placed, your ZGTool must read the AppPath value of the [DLL] section in the "X:\windows\zipgenius.ini " file.
  2. You can create more than one
  section in tools.ini if your ZGTool does more than one
  action: you have only to provide a section for each action.
  Example:

[Collector_1]
cmd=C:\COLLECTOR\COLLECTOR.EXE
caption=Collect archives
params=-zg
results=c:\windows\deskop\result.txt
fileopen=0

[Collector_2]
cmd=C:\COLLECTOR\COLLECTOR.EXE
caption=Collect ZIP and CAB archives
params=-zg-zip -cab
results=c:\windows\deskop\result.txt
fileopen=0
  3. Be sure that the uninstall program of your ZGTool removes the related sections from tools.ini , and that this file won't be accidentally removed.
  4. The ZGTool can be also a script: VBScript, JavaScript and .BAT or .COM files.
  5. If your ZGTool creates a result file, make sure that the file begins with the name of the ZGTool, your name, and your e-mail addrees or the address of your homepage. Do this because the internal editor of ZipGenius can recognize hyperlinks.
  6. In a short round of time, it will be available a small utility that helps the subscription procedure of the ZGTools, so check often M.Dev Software site.
  7. Customize the setup of your ZGTool with the [image] logo, that you can download from here.
  8. Force your ZGTool to recognize the language used by ZipGenius, so it can add its menu item with the right language.

For more infos, contact M.Dev Software.


Sending archives via e-mail or publishing them

This new version of ZipGenius has more web-oriented functions and they are all grouped under the "Internet" button. Click it to see its menu, that is different depending by the layout you have selected.

Normal layout

Expert layout

Download archive.
Click this item to start downloading a file from the web: you have only to write the exact URL of the file to retrieve. You can't download files that are in an unsupported format.

Send as attachment.
Using the normal layout, you can only send an entire archive as attachment. Using the expert layout, instead, you will a see a submenu that will allow you to decide where to send an entire archive or just some files to be extracted from the archive you're reading.

Publish on the Internet .
Just as the previous command, this item allows to publish only an entire archive, if you are using the normal layout, or it will let you decide to send an archive or just some files, if you are using the expert layout.

Send the file list via e-mail / Publish the file list on the Web
 This two functions allow, respectively, to send via e-mail or to publish on a Web Site the list of files contained in an archive.


ZipGenius Mail

ZipGenius comes with an internal built-in mail client that allows only to send messages (optionally) with archive attached to them. This module is useful when you haven't a default mail client or when you have a program that it isn't MAPI compliant.

ZipGenius by default uses the default mail program on your system

ZipGenius dispone di un programma e-mail incorporato le cui funzioni sono limitate al solo invio di messaggi con files allegati. Questo componente di ZipGenius può risultare utilissimo nei casi in cui il programma e-mail predefinito nel sistema non sia MAPI-compatibile, quindi non in grado di ricevere istruzioni da ZipGenius per l'invio di posta elettronica.

L'impostazione predefinita di ZipGenius lascia che sia il programma e-mail predefinito ad occuparsi dell'invio di messaggi e-mail, perciò per attivare ZipGenius Mail occorre aprire il pannello delle Opzioni e selezionare la casella " Invia e-mail usando ZipGenius Mail"; dopo aver premuto "OK", ZipGenius ignorerà qualsiasi altro programma e-mail e userà semplicemente ZipGenius Mail.

Istruzioni per ZipGenius Mail.
Come accennato, ZipGenius Mail è un client e-mail limitato nelle funzioni. In particolare non è possibile:

  • ricevere posta elettronica;
  • inviare messaggi a più destinatari in copia carbone nascosta (Ccn).

Per inserire l'indirizzo di un destinatario si può digitarlo nell'apposita casella accanto al tasto"A:" e premere il tasto "6" per aggiungerlo alla lista, oppure si può premere il citato tasto "A:" per aprire la Rubrica di Windows; usando quest'ultimo sistema, gli indirizzi immessi nelle liste "CC:" o "CCn:" saranno ignorati.

Per aggiungere allegati premere "Allega file ": i files selezionati saranno aggiunti alla relativa lista, da cui è possibile rimuoverli selezionandone il nome e premendo "Canc " (o "Del") sulla tastiera.

Nella casella " SMTP" bisogna indicare l'indirizzo del server SMTP (posta in uscita) che si usa normalmente, mentre nella casella " Porta" occorre indicare la porta usata dal suddetto server (normalmente è sufficiente lasciare il valore " 25"); se non conosci questi dati:

  • puoi rivolgerti al tuo Internet Provider;
  • puoi leggerli sul sito Web del Provider, nella pagina dell'assistenza clienti;
  • puoi ricavarli dalle istruzioni che il tuo Provider ti ha fornito quando ti sei abbonato;
  • puoi ricavarli dalle opzioni del programma di posta elettronica .

Questi dati saranno memorizzati da ZipGenius in modo da non doverli inserire nuovamente al successivo invio di posta elettronica.

Nella casella " Oggetto" puoi indicare l'oggetto del messaggio.

Nella casella " Indirizzo e-mail del mittente" devi scrivere il tuo indirizzo e-mail (per ricevere l'eventuale risposta), mentre nella casella " Nome utente" devi indicare il tuo nome (altrimenti la connessione al server della posta fallirà).

Infine puoi scrivere un messaggio.

Per inviare il messaggio premi "Invia".

La finestra "Stato" mostrerà solo l'andamento della connessione e il susseguente invio del messaggio; se il messaggio sarà stato inviato con successo, la finestra si chiuderà automaticamente.


FTPGenius

FTPGenius is the built-in FTP client of ZipGenius that allows you to send and retrieve files from the Internet.

What's new?
FTPGenius now can also upload file as well as other FTP clients, and, also, DualApp™ technique allows to launch FTPGenius as a common application from the Start menu.

Usage
To start connecting, you must click "Connect" and you will see the following window:

Create a new account
In the "Description" field you can type the name of the FTP site you want to connect to (ex.:"Microsoft"); then you must write the related FTP address in the "Address" field (ex.:ftp.microsoft.com). After this, you have to write your username and password that you are using to access to the server. If the FTP server allows anonimous logins, you can do it by checking the "Anonymous" option. Finally, click "Save" to store these infos and "OK " to connect.

Using an account
You can use an account that you have previously created: start typing a name of an account and FTPGenius will attempt to find out the account that you need, also re-calling the related infos; else you can choose an account fro the dropdown list.
The, you mist click "OK " to connect.

When connection is established, you will see the contents of the main folder in the FTP server. When you want to change folder, you have only to double click on the folder that you want to open.

Downloading files
Select one or more files in the lower part of the window then click "Download "; in the status bar you will see a progress indicator that will inform you about the file transfer. When the download will be finished, the upper part of the window will refresh to show the new file(s).

Uploading files
Select one or more files to send in the upper part of the window, then click on "Upload". you will see a progress indicator in the status bar that will inform you about the file transfer. When the transfer will be finished, the lower part of the window will refresh to show the new file(s) on the FTP server.

Creating, renaming and deleting folders from a FTP server
Ofte these actions aren't allowed, but you can use them if you are managing with the FTP that host your Web site, for example.

To create a new folder click on "New folder ". FTPGenius will ask to you the name of the new folder, then will update the lower part of the window.

To rename a folder, select one and click "Rename", then modify its name. Press the "Enter" key when finished.

To delete a file or a folder, select it and click on "Delete ".

Other functions

"File transfer" allow to choose which kind of transfer should be applied while downloading or uploading a file; text file should be sent with the ASCII option, but all the other files should be sent with the BINARY one. However, it is suggested to leave always "BINARY", otherwise choose "Auto ".


UUencode, XXencode, MIME Base 64

Files are generally divided into two families: "binary" and "ASCII" files. A file of the first type is made by a sequence of "0" and "1", while the second kind is pure text. Sometimes you can't send a file to a FTP server over the Internet, because its administrator has denied access to binaries due to safety reasons. The question is: how can you do to send a binary file also if it isn't accepted? You can encode it!

You can choose three kind of encoding:

UUencode: it's the oldest type and it was born on UNIX systems. It produces files with .uu or .uue extension, while ZipGenius produces only .uue files.

XXencode: very similar to the previous one, but it is considered as an evolution of it, because it fixes some issues on ASCII table conversion. ZipGenius will produce .xxe files.

MIME Base 64: this method is actually the most diffused because it is used by e-mail servers and programs. The files encoded with this system have the .mim and .b64extensions.

To encode a file or an archive you must open the " Actions " menu and to select one of the three methods.


Troubleshooting

Q: ZipGenius crashed or it crashed the whole system: what should I do?

A: Reboot the system and send a message to mdevsoftware@hotmail.com. Remember to send a detailed description of your system and in which conditions you get the problem.

Q: I use Outlook 2000: when I try to send an archve (or a file) via e-mail, sometimes I get the error "Failed connection to e-mail program", then the message "Archive sent".

A: Don't mind at it: Outlook 2000 will send the attachmente regularly.

Q: I can't create self-extracting archives (SFX).

A: Please, make sure that the files sfx_it.bin, sfx_en.bin, autosfx_it.bin, autosfx_en.bin are all in the same folder of ZipGenius. If they're not, re-install the program, otherwise saned a message to M.Dev Software and report your system description and which other program was running when you got this problem.

Q: ZipGenius show errors related to files "UnzDLL.dll" and "ZipDLL.dll".

A: This may be caused by one of the following reasons:

  • Files are damaged
  • Files are missing
  • Files are present but their version number is below 1.6

In all the cases, you have only to re-install the program.

Q: ZipGenius reads archives in format different from ".zip", but it can't modify the contents.

A: ZipGenius was originally designed to handle zip files only and the support to other archives is only a recent addition; you must install external programs to handle the contents of other archive types (See: Other archives)

Q: If I open a ".ZOO" archive, I get a list shorter than the real file list.

A: ZipGenius uses a ".ZOO" algorhythm that is only compatible with zoo.exe , until version 2.0. The archives made with newer releases give some problems.

D: Su Windows 2000 il menù contestuale associato ai files zip non funziona, quindi non riesco a spedire archivi via e-mail senza aprire il programma principale, nè a creare archivi auto-estraenti.

R: Questo è un problema rilevato già durante il beta testing del programma. Per maggior sicurezza di risposta sono stati installati altri programmi concorrenti e anche in essi è stato rilevato il problema, che - a questo punto - dovrebbe essere attribuito a Windows 2000 stesso. Questo sistema operativo, infatti, presenta una diversa gestione delle interfacce COM (COM+) creando così delle incompatibilità con alcuni software sviluppati principalmente per Windows 95/98. E' consigliabile visitare regolarmente il sito M.Dev Software per sapere se è stato possibile o meno risolvere il problema (dipende tutto da Windows 2000).

Q: ZipGenius is very slow.

A: ZipGenius 1.4 was completely re-written and it doesn't suffer anymore for some technical limitations, just as ZipGenius Evoluzione did. This last release was created on a PC based on the Intel® Celeron® 433 MHz CPU and it was tested on many different systems. Check minimum system requirements.


Adding folders

You can add entire folders to an archive.
This action is different between "NORMAL" and "EXPERT" layout of the program: if you choose the first one, you must select "Folders" in ZipGenius wizard (after that you have clicked on "ADD"), but if you choose the expert mode, you can click on the black arrow beside the "ADD" button: this shows a menu from which you can select an action, then click on "Add folders... ".

The options available are the same for files addition .


DeCryptoZip

DeCryptoZip (shipped within SUITE edition)

This the only ZGTool that you'll never use and that you won't find installed in the "Tools" menu of ZipGenius, because it is designed to be used by users of older versions of ZipGenius or by users of other programs. So when you need to send an encrypted zip file to someone that still doesn't use ZipGenius 1.4, you should send him also this tool, which provide to decrypt .czip files.

It is really simple to use it: click " Open... ", insert the right triple numeric key and click " Decrypt "to finish.

WARNING! A wrong key will result in a bad decryption of the selected archive.


Disk Span

Use this function to split large zip files onto a set of floppy disks.

Click [image] Disk Span to start spanning an open archive on a set of floppy disks.

Click [image] Unspan. to start the inverse action: you can recreate in a folder the original zip archive (you must select the destination folder to do this).


Frequently Asked Questions

D: Why ZipGenius is freeware?

R: Since 1998, I was saying that ZipGenius was freeware because I was thinking that a good zip program should be built-in in a modern operating system as Windows is. Today Windows ME has its own zip program, so my philosophy seems to be received,but it won't never change, because I think that a true good zip program should be built-in in Windows. When I say "good" I mean that he shouldn't be limited to compress and decompress files in zip format, but it should be the center of your daily actvities. That's why ZipGenius 1.4 comes with a lot of functions that normally will force you to open two or more apps at the same time.

D: Why does ZipGenius have 5 zip engines?

R: It has 5 engines to make more flexible and faster the usage of any section of the program. Just a technical example: the context menu associated with zip files is contained in a DLL. This is a file called "library" because it can contain anything you want, such as icon, bitmaps, source code and text, so why it shouldn't have a zip engine? That was done, so many functions don't require anymore the main app to be running (just as other well-known zip program do ;-) )

D: Did you plan to make ZipGenius compliant with other languages?

R: Actually there's no plan about this..

D: Which operating system does ZipGenius need?

R: ZipGenius 1.4 was born on Windows 98 and Windows 2000 at the same time, so it is fully compliant with those systems; how ever it can be used as well also on Windows 95 and Windows NT 4, but you can't access to theadvanced features of the "open file" dialogs of the program, because those old systems don't support dialogs extensions.

So ZipGenius can be installed on:

    • Windows 95 (Internet Explorer 4.0 is required)
    • Windows 98 / Windows 98 SE /Windows ME
    • Windows NT (Internet Explorer 4.0 is required)
    • Windows 2000

D: Why does ZipGenius have less menus than functions available?

R: Sincerely, I think that it has too many menus. I always thought that menus aren't a good thing in programs with a lot of functions, because they can get users confused. That's why I decided to collect all the functions in the "First Step Assistant ". Just a note: the main feature of the original project of ZipGenius was the total absence of menus.

D: What's the most important feature of ZipGenius?

R: ZG 1.4 has been designed to give maximum ease of use and versatility. ZipGenius doesn't conceive speed of execution as a main feature: it is only a reference for comparisons with its competitors.

D: How can I send an encrypted zip file to a friend of mine who still is using ZipGenius Evoluzione? How can him read the contents?

R: It's easy. Send him DeCryptoZip, too: it's a ZGTool shipped within the SUITE edition or downloadable from M.Dev Software web site. This tool can decrypt .czip files as well as ZipGenius 1.4 does. Don't forget to communicate to him which was the numeric key that you have used, otherwise he can't read the archive!


Extracting files

This function is the same both in "NORMAL" and "EXPERT" mode of ZipGenius, but options may vary depending by the kind of archive open.

Click on the [image] Extract button and you will see the following window:

If no file has been selected in ZipGenius window, the "All files" option will be automatically set; otherwise, if one or more files are selected, ZipGenius will chek the "Only selected files" option. If you want, you can extract files of one type only by selecting a file extension in the related list, or you can extract just a single folder ("Folder" option) if your archive contains one or more folders in it.

Use stored paths
Use this option when you want to extract files from an archive which contains folders and subfolders: ZipGenius will recreate the original path of each compressed file.

Open destination folder
 Set this option to open the destination folder that you have selected

Run setup
 This option is only available when an archive contains the "setup.exe". Check it if you want to start setup upon the end of extraction.

Close ZipGenius
Check this option to force ZipGenius to stop running upon the end of extraction

You can tell to ZipGenius how it should behave when it's going to extract a file that already exists in the destination path:

  1. Don't overwrite - ZipGenius doesn't extract that file.
  2. Overwrite always - ZipGenius will overwrite any existing file with the same name of the one being extracted.
  3. Update existing files - overwrites a file only if it is older than the one being extracted.

Destination
Write the path of the folder in which you want to extract files, or choose it by clicking on the "Browse" button. Each path will be stored, so you can use it again by selecting in the realted path list. If you check the "Create a folder from archive name", ZipGenius will extract files in a folder that will have the same name of the archive. Example: if destination path is "c:\windows\desktop" and archive name is "Test.zip", ZipGenius will create the folder "C:\Windows\Desktop\TEST " and it will extract files into that.


The quick menu

ZipGenius 1.4 was designed (as its predecessors) to give the maximum use of the right mouse button. If you will right click in the window of ZipGenius, you will see the quick menu shown above. Any of those functions are enabled depending from the kind of archive you're reading and the layout you have chosen.


Statistics

This function is useful if you want to know more details about the open archive. Which is the most compressed file? An which is the less compressed one? Which is the average compression ratio of the entire archive? Well, you'll get all the answers by clicking on "Stat. ". You will see the following window:

Compression report

Also, you can get further information on all the compressed folder: click on the "Folders" tab and you will get the following report (if the open archive contains folders)

Folders report


Time To Get!

Time To Get! (shipped within the SUITE edition)

This ZGTool is the last enhancemente of ETD Calculator, which was available only as an independent utility from M.Dev Software. Today it can also work together with ZipGenius.

Its main function is to calculate the estimated time that a file requires to be downloaded at various connection speeds.

It's really easy to use it as a ZGTool: you hav eonly to open an archive in ZipGenius and to click on "Time To Get!" in the Tools menu, then you will see the results via the internal viewer of ZipGenius; also you can choose to click on "Time To Get! - HTML", which will provide to export the results in a HTML file, in any folder you want.

If you want to use it as a standard app, you have to do the following steps:

  1. choose a file by clicking on "Browse";
  2. click on "Calculate " to read the results;
  3. optionally, click on "Export to HTML" to export the results in a HTML page.


Toolbars

  • Main
  • Other commands
  • Advanced commands

If you want to use small buttons, you can hide the labels: right click on a toolbar and uncheck the item "Show button labels".